Skip to main content

POST /change-of-energisation/v1/{mpid}

Creates a change of energisation process for one MPAN.

Request

Method and path:

  • POST /change-of-energisation/v1/{mpid}

Headers:

  • X-API-KEY (required): string, UUID format.
  • X-IDEMPOTENCY-KEY (required): string.

Path parameters:

  • mpid (required): string supplier MPID.

Body schema:

  • ChangeOfEnergisationRequestSchema
{
"mpan_core": 1234567890123,
"requested_energisation_status": "D"
}

Response

Success:

  • 202 Accepted
  • Body type: SupplierProcessResponseSchema
{
"request_id": "a0c4fd59-739d-4404-91d8-c9fb76ce4433",
"request_type": "change-of-energisation",
"request_status": "Pending",
"description": "Change of Energisation Process",
"created_at": "2026-03-24T10:25:00+00:00",
"last_updated_at": "2026-03-24T10:25:00+00:00",
"mpan_core": 1234567890123
}

Other documented responses:

  • 401 Unauthorized.
  • 409 Conflict.
  • 422 Validation error.
  • 428 Missing X-IDEMPOTENCY-KEY.

Field-level constraints: